VisualEditor: Snowmen being created (no reproduction steps)
Closed, ResolvedPublic

Description

On fr.wp at least a couple of edits were noticed that generated snowmen:

https://fr.wikipedia.org/w/index.php?title=D%C3%A9sir_mim%C3%A9tique&diff=98365348&oldid=96841726
and https://fr.wikipedia.org/w/index.php?title=Andromaque&diff=98765089&oldid=97860409 (a vandalism).

The snowman appears in the word "français(e)" (so it's possibly related to the ç character?).

No other details available - the first editor didn't provide them, and the other was a vandal.


Version: unspecified
Severity: major

bzimport set Reference to bz57884.
Elitre created this task.Via LegacyDec 2 2013, 9:03 PM
Elitre added a comment.Via ConduitDec 2 2013, 9:43 PM

About the first case, where an external link was added and a <br> tag can also be observed, User:Drongou notes that it is "utterly incomprehensible. It's impossible to add a <br> vith VE, and VE itself does not seem to generate it. It must have come from copy/paste (snowmen are typical of failed copy/paste). Really strange, (one would rather expect a <br />): all the inclusions of <br> should be checked."

I roughly translated his words. I didn't notice that before - he's right that adding <br> by hand in VE would produce nowiki tags, which are not there.

Whatamidoing-WMF added a comment.Via ConduitFeb 25 2014, 7:27 PM

Here's another odd set of snowmen, this time at the Javanese Wikipedia.

https://jv.wikipedia.org/w/index.php?title=Igor_Stravinsky&curid=73209&diff=881366&oldid=830233

The edit was inappropriate (poor English replacing Javanese) and was reverted.

Jdforrester-WMF added a comment.Via ConduitJul 7 2014, 9:12 PM
  • Bug 67591 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitAug 3 2014, 10:30 AM

I believe that we fixed the last of the snowmen issues (ha!) with the re-write last week; I've not been able to reproduce these edits at all now. Provisionally marking as FIXED.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.